/* ======================================================
Application: Sales and Marketing Knowledge Site Lite for		
Appalanche Project	
				
Version    : 1.0.0		
			
Filename   : site.html			

Parameters: userid - the user userid (a string)
	      password - the administrative password (a string)

Return:    returns boolean true if the username and password
	match the administrative username and password, false
	if either one fails to match.

Description:  This function is designed to work in conjunction with
	some external login and validation pages (see "login.html" and
	"validate.html") to validate a users - 


Company    : Sage Solutions, Inc.		
			
Revisions  : Krishna S. Gollamudi 8/22/96		(original code)	

====================================================== */

function isUser( userid, password ) {
	
	database.connect("INFORMIX","appalanche_db","informix","informix","docmanager");
	
	if(database.connected()){
		
		userinfo_cursor = database.cursor("select userid, password, " +
				"accesslevel, interestgroupid " +
				" from user " +
				" where userid = '" + userid + "'");
		if(userinfo_cursor.next()){
		
			if(userinfo_cursor.password==password){
			       client.userid = userinfo_cursor.userid;
			       client.accesslevel = userinfo_cursor.accesslevel;
			       client.interestgroupid = userinfo_cursor.interestgroupid;
			       client.cfg_file = "salesmkt.cfg";
			       client.inst_dir = "/usr/ns-home/LiveWire/ApFinal/sage/";
			       client.cfg_name = "/usr/ns-home/LiveWire/ApFinal/sage/salesmkt.cfg";
			// added to support paging
			
			delresult = database.execute('DELETE FROM scrollkey WHERE 					userid="' + client.userid + '"');

			// added to support paging
			client.linkpagenum = null;
			client.folderpagenum = null;
			client.bullpagenum = null;
			client.userpagenum = null;
			client.mimepagenum = null;
			client.intpagenum = null;
			client.filepagenum = null;
			

				return true;
			}
			else{return false;} /* end of "if login worked" statement */
		}	
		else {return false;	} /* end of "if no row found" statement */ 
	}
	else {return false;	} /* end of "if db connected" statement */
} // END isUser()


function validateUser( request )
{
  var validated = false;
  if ( isUser(request.userid, request.password) )
       {
	// all client properties are set in isUser()
	/* 	project.lock(); old testing parms
	 	 project.valid = true;
		  project.ip = request.ip;
		project.unlock();		 */

validated = true;
     }
   
else
    {validated = false; } // end ELSE

 return validated;

} // END FUNCTION validateUser()


  

